import request from '@/utils/httpRequest'

export default class DimissionHandoverService {
  list (params) {
    return request({
      url: '/changes/dimission_handover/list',
      method: 'get',
      params: params
    })
  }
  queryById (id) {
    return request({
      url: '/changes/dimission_handover/queryById',
      method: 'get',
      params: {id: id}
    })
  }
  queryInitialize (id) {
    return request({
      url: '/changes/dimission_handover/queryInitialize',
      method: 'get',
      params: {id: id}
    })
  }
  save (inputForm) {
    return request({
      url: `/changes/dimission_handover/save`,
      method: 'post',
      data: inputForm
    })
  }
  updateStatusById (params) {
    return request({
      url: '/changes/dimission_handover/updateByCdId',
      method: 'post',
      data: params
    })
  }
}
